
Katello - Feature #7129

As a user, I should get errata notifications via email that indicate when new errata need to be applied

and to what hosts.

08/18/2014 09:53 AM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee: Stephen Benjamin   

Category: Errata Management   

Target version: Katello 2.1   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

History

#1 - 08/18/2014 11:07 AM - Eric Helms

- Target version set to 55

#2 - 08/18/2014 01:18 PM - Eric Helms

- Status changed from New to Needs design

#3 - 08/20/2014 01:04 PM - Eric Helms

Some background research:

1. Foreman provides email notifications for hosts and reports already. The mail service can be configured  for the server via:

 http://projects.theforeman.org/projects/foreman/wiki/Email_configuration

2. Foreman makes use of base Action Mailers from Rails - http://guides.rubyonrails.org/action_mailer_basics.html

Current Restrictions:

recurring email reports require the user to setup a cron-job (http://projects.theforeman.org/projects/foreman/wiki/Mail_Notifications)

email reports go only to the user setup in settings.yaml, no support for individual user notification emails

Recommend the following related requirements:

As an admin, I should be able to turn on email notifications for an individual user.

As an admin, I should be able to limit the reports a user can receive.

As an admin, I should be able to send an email notification manually.

As an admin, I should be able to set the interval for which a report is sent out from API/WebUI/CLI.

As a user, I should be able to turn email notifications on or off for reports I have access to.

#4 - 09/08/2014 08:12 AM - Eric Helms

- Target version changed from 55 to 56

#5 - 09/17/2014 02:33 PM - Mike McCune

- Assignee set to Stephen Benjamin

#6 - 09/23/2014 10:52 AM - Duncan Innes

Can I raise a question about these notifications that has great bearing in corporate land:

Given the following Lifecycle Environments

Library > Dev > Test > UAT > Staging > Production

For my servers in Production, I want the notification e-mail to come out when the relevant Errata hit the Library.  Sending out a notification when the
Errata are finally present in the Content View(s) for Production will likely not leave enough time for the Errata to be applied when considering

downtime negotiation etc.

This is something that troubles us in current Satellite also - and something we only have one workaround for.  Whilst far from ideal, we clone Errata

through all environments as soon as they arrive on the Satellite.  This allows our Errata report to be accurate, but means that application of Errata has

to be careful to ensure Errata are not applied into Production first by mistake.

The examples I'm thinking about (not uncommon) are for Critical Errata to be patched within 7 days, Security Errata to be applied within 28 days, and

other Errata to be applied within 90 days.

Being able to report a Production host's outstanding Errata based on the Library Content View would be ideal, whilst  using the normal Production

Content View(s) at all other times.

#7 - 09/23/2014 03:43 PM - Stephen Benjamin

Hi Duncan,

I totally agree.  That feature request is being tracked at #6577.  Once that's implemented, this e-mail can indicate potential errata from Library, but I

think the first version will be against it's current content view/

#8 - 09/24/2014 05:53 AM - Duncan Innes

Sounds grand.  Didn't see that ticket when I searched.  Will go back in my box now :-)

#9 - 09/27/2014 12:39 PM - Eric Helms

- Target version changed from 56 to 58

#10 - 10/20/2014 09:22 AM - Eric Helms

- Target version changed from 58 to 59

#11 - 10/20/2014 10:43 AM - Stephen Benjamin

- Category set to Errata Management

#12 - 11/10/2014 08:24 AM - Eric Helms

- Target version changed from 59 to 61

#13 - 12/01/2014 08:49 AM - Eric Helms

- Target version changed from 61 to 62

#14 - 12/04/2014 02:45 PM - Eric Helms

- Status changed from Needs design to Closed
